package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/JudgeFinanceAttentionDealAction.class */
public class JudgeFinanceAttentionDealAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        String financeMaxCount = (String) context.getDataValue("financeMaxCount");
        String branchMaxCount = (String) context.getDataValue("branchMaxCount");
        String subBranchMaxCount = (String) context.getDataValue("subBranchMaxCount");
        String financeUsedCount = (String) context.getDataValue("financeUsedCount");
        String branchUsedCount = (String) context.getDataValue("branchUsedCount");
        String subBranchUsedCount = (String) context.getDataValue("subBranchUsedCount");
        if (financeMaxCount == null) {
            throw new GENEException("未设置需求最大被关注数，无法关注");
        }
        if (branchMaxCount == null) {
            throw new GENEException("未设置机构最大关注需求数，无法关注");
        }
        if (subBranchMaxCount == null) {
            throw new GENEException("未设置二级机构最大关注需求数，无法关注");
        }
        if (Integer.parseInt(financeUsedCount) >= Integer.parseInt(financeMaxCount)) {
            throw new GENEException("需求被关注数已达上限，不能被关注");
        }
        if (Integer.parseInt(branchUsedCount) >= Integer.parseInt(branchMaxCount)) {
            throw new GENEException("机构最大关注需求数已达上限");
        }
        if (Integer.parseInt(subBranchUsedCount) >= Integer.parseInt(subBranchMaxCount)) {
            throw new GENEException("二级机构最大关注需求数已达上限");
        }
        return "0";
    }
}
